//----------------------------------------------------------------------------
//  Project BmpMenuApp
//  
//  Copyright  1998. All Rights Reserved.
//
//  SUBSYSTEM:    BmpMenuApp Application
//  FILE:         bmpmenuapp.h
//  AUTHOR:       Dieter Windau
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TBmpMenuApp (TApplication).
//
//----------------------------------------------------------------------------
#if !defined(bmpmenuapp_h)
#define bmpmenuapp_h

#if !defined(OWL_CONTROLB_H)
#include <owl/controlb.h>
#endif

#if !defined(OWL_DOCKING_H)
#include <owl/docking.h>
#endif

#if !defined(OWL_RCNTFILE_H)
#include <owl/rcntfile.h>
#endif

#if !defined(bmpmenumdiclient_h)
#include "bmpmenumdiclient.h"
#endif

//{{TApplication = TBmpMenuApp}}
class TBmpMenuApp : public TApplication, public TRecentFiles
{
  private:
    void SetupSpeedBar(TDecoratedMDIFrame* frame);

  public:
    TBmpMenuApp();
    virtual ~TBmpMenuApp();

    void CreateGadgets(TDockableControlBar* cb, bool server = false);
    THarbor*        ApxHarbor;

    TBmpMenuMDIClient* MdiClient;

//{{TBmpMenuAppVIRTUAL_BEGIN}}
  public:
    virtual void InitMainWindow();
    virtual void InitInstance();
//{{TBmpMenuAppVIRTUAL_END}}

//{{TBmpMenuAppRSP_TBL_BEGIN}}
  protected:
    void EvNewView(TView& view);
    void EvCloseView(TView& view);

    void CmHelpAbout();
    void EvOwlDocument(TDocument& doc);
    int32 CmFileSelected(uint wp, int32 lp);
//{{TBmpMenuAppRSP_TBL_END}}

    void CeExit(TCommandEnabler& ce);

    void CmDrawRecessed();
    void CeDrawRecessed(TCommandEnabler& ce);
    void CmShowAccInTooltips();
    void CeShowAccInTooltips(TCommandEnabler& ce);
    void CmShowBackBitmap();
    void CeShowBackBitmap(TCommandEnabler& ce);
    void CmShowRadioBitmap();
    void CeShowRadioBitmap(TCommandEnabler& ce);
    void CmShowCheckBitmap();
    void CeShowCheckBitmap(TCommandEnabler& ce);
    void CmShowFixedFont();
    void CeShowFixedFont(TCommandEnabler& ce);

    void CmView50();
    void CmView100();
    void CmView200();
    void CeView(TCommandEnabler& ce);

    void CmToolbar();
    void CeToolbar(TCommandEnabler& ce);
    void CmStatusbar();
    void CeStatusbar(TCommandEnabler& ce);
    void CeDisabledRadioItem(TCommandEnabler& ce);

    void CmBitmapOnOff();
    void CeBitmapOnOff(TCommandEnabler& ce);

    void CmDisableHelpMenu();
    void CeDisableHelpMenu(TCommandEnabler& ce);

    void CmChangeText();
    void CeChangeText(TCommandEnabler& ce);

    void CmInsertItem();
    void CeInsertItem(TCommandEnabler& ce);

    void CmRemoveItem();
    void CeRemoveItem(TCommandEnabler& ce);

    void CmTestItem2();
    void CmTestItem4();

  protected:
    int  iView;
    bool bToolbar, bStatusbar;
    bool bmpOnOff;
    bool bDisableTestMenu;
    int  numCommands;
    TCHAR  menutxt[128];
    TMenu* popupMenu;
    TMenu* fileMenu;

DECLARE_RESPONSE_TABLE(TBmpMenuApp);
};    //{{TBmpMenuApp}}


#endif  // bmpmenuapp_h sentry.
