//----------------------------------------------------------------------------
//  Project BmpMenuApp
//  
//  Copyright  1998. All Rights Reserved.
//
//  SUBSYSTEM:    BmpMenuApp Application
//  FILE:         bmpmenuappaboutdlg.h
//  AUTHOR:       Dieter Windau
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TBmpMenuAppAboutDlg (TDialog).
//
//----------------------------------------------------------------------------
#if !defined(bmpmenuappaboutdlg_h)
#define bmpmenuappaboutdlg_h

#if !defined(OWL_STATIC_H)
#include <owl/static.h>
#endif

#include "bmpmenuapp.rh" // Definition of all resources.


//{{TDialog = TBmpMenuAppAboutDlg}}
class TBmpMenuAppAboutDlg : public TDialog
{
  public:
    TBmpMenuAppAboutDlg(TWindow* parent, TResId resId = IDD_ABOUT,
      TModule* module = 0);
    virtual ~TBmpMenuAppAboutDlg();

//{{TBmpMenuAppAboutDlgVIRTUAL_BEGIN}}
  public:
    void SetupWindow();
//{{TBmpMenuAppAboutDlgVIRTUAL_END}}
};    //{{TBmpMenuAppAboutDlg}}


// Reading the VERSIONINFO resource.
//
class TProjectRCVersion
{
  public:
    TProjectRCVersion(TModule* module);
    virtual ~TProjectRCVersion();

    bool GetProductName(LPTSTR& prodName);
    bool GetProductVersion(LPTSTR& prodVersion);
    bool GetCopyright(LPTSTR& copyright);
    bool GetDebug(LPTSTR& debug);

  protected:
    uint8 far*  TransBlock;
    void far*   FVData;

  private:
    // Don't allow this object to be copied.
    //
    TProjectRCVersion(const TProjectRCVersion&);
    TProjectRCVersion& operator = (const TProjectRCVersion&);
};


#endif  // bmpmenuappaboutdlg_h sentry.
