#ifndef BMPMENUDECORATEDMDIFRAME_H
#define BMPMENUDECORATEDMDIFRAME_H

#if !defined(OWL_DECMDIFR_H)
#include <owl/decmdifr.h>
#endif

#if !defined(bmpmenumdiclient_h)
#include "bmpmenumdiclient.h"
#endif

__OWLEXT_DECLCLASS(TBmpMenu);

//
// class TBmpMenuDecoratedMDIFrame
// ~~~~~ ~~~~~~~~~~~~~~~~~~~~~~~~~
// MDI frame that supports decoration child windows
// and shows bitmaps on the left side of menus like MS Office
//
class TBmpMenuDecoratedMDIFrame : public TDecoratedMDIFrame
{
  public:
    TBmpMenuDecoratedMDIFrame(
      LPCTSTR            title,
      TResId             menuResId,
      TBmpMenuMDIClient& clientWnd = *new TBmpMenuMDIClient,
      bool               trackMenuSelection = false,
      TModule*           module = 0);

    ~TBmpMenuDecoratedMDIFrame();

  public:
    __OWLX TBmpMenu* GetBmpMenu() { return BmpMenu; }

    virtual int GetHintText(uint id, LPTSTR buf, int size,
      THintText hintType) const;
    virtual bool SetMenu(HMENU hMenu);

  protected:
    virtual void SetupWindow();

    void  EvInitMenu(HMENU hMenu);
    void  EvInitMenuPopup(HMENU hPopupMenu, uint index, bool sysMenu);
    void  EvDrawItem(uint ctrlId, DRAWITEMSTRUCT far& drawInfo);
    void  EvMeasureItem(uint ctrlId, MEASUREITEMSTRUCT far& measureInfo);


    int32 EvMenuChar(uint nChar, uint menuType, HMENU hMenu);

  protected:
    __OWLEXT TBmpMenu* BmpMenu;

  DECLARE_RESPONSE_TABLE(TBmpMenuDecoratedMDIFrame);
};

#endif
