//----------------------------------------------------------------------------
//  Project BmpMenuApp
//  
//  Copyright  1998. All Rights Reserved.
//
//  SUBSYSTEM:    BmpMenuApp Application
//  FILE:         bmpmenueditview.h
//  AUTHOR:       Dieter Windau
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TBmpMenuEditView (TEditView).
//
//----------------------------------------------------------------------------
#if !defined(bmpmenueditview_h)
#define bmpmenueditview_h

#if !defined(OWL_EDITVIEW_H)
#include <owl/editview.h>
#endif

__OWLEXT_DECLCLASS(TBmpMenu);


//{{TEditView = TBmpMenuEditView}}
class TBmpMenuEditView : public TEditView
{
  public:
    TBmpMenuEditView(TDocument& doc, TWindow* parent = 0);
    virtual ~TBmpMenuEditView();

    __OWLEXT TBmpMenu* GetBmpMenu();
    
  protected:
    void  EvContextMenu(HWND childHwnd, int x, int y);  
    void  EvDrawItem(uint ctrlId, DRAWITEMSTRUCT far& drawInfo);
    void  EvMeasureItem(uint ctrlId, MEASUREITEMSTRUCT far& measureInfo);

    int32 EvMenuChar(uint nChar, uint menuType, HMENU hMenu);

  DECLARE_RESPONSE_TABLE(TBmpMenuEditView);

};    //{{TBmpMenuEditView}}

#endif  // bmpmenueditview_h sentry.