//----------------------------------------------------------------------------
//  Project BmpMenuApp
//
//  Copyright  1998. All Rights Reserved.
//
//  SUBSYSTEM:    BmpMenuApp Application
//  FILE:         bmpmenumdichild.cpp
//  AUTHOR:       Dieter Windau
//
//  OVERVIEW
//  ~~~~~~~~
//  Source file for implementation of TBmpMenuMDIChild (TMDIChild).
//
//----------------------------------------------------------------------------

#include <owlext\pch.h>
#pragma hdrstop
#include <owlext\bmpmenu.h>


#include "bmpmenumdichild.h"
#include "bmpmenudecoratedmdiframe.h"

//{{TBmpMenuMDIChild Implementation}}

DEFINE_RESPONSE_TABLE1(TBmpMenuMDIChild, TMDIChild)
  EV_WM_CONTEXTMENU,
  EV_WM_INITMENU,
  EV_WM_INITMENUPOPUP,
  EV_WM_DRAWITEM,
  EV_WM_MEASUREITEM,
  EV_WM_MENUCHAR,
END_RESPONSE_TABLE;


//--------------------------------------------------------
// TBmpMenuMDIChild
// ~~~~~~~~~~
// Construction/Destruction handling.
//
TBmpMenuMDIChild::TBmpMenuMDIChild(TBmpMenuMDIClient& parent, LPCTSTR title, 
  TWindow* clientWnd, bool shrinkToClient, TModule* module)
:
  TMDIChild(parent, title, clientWnd, shrinkToClient, module)
{
  // INSERT>> Your constructor code here.

}


TBmpMenuMDIChild::~TBmpMenuMDIChild()
{
  Destroy();

  // INSERT>> Your destructor code here.

}

TBmpMenu* TBmpMenuMDIChild::GetBmpMenu()
{
  TBmpMenuMDIClient* client = TYPESAFE_DOWNCAST(Parent, TBmpMenuMDIClient);
  CHECK(client);
  return client->GetBmpMenu();
}

void TBmpMenuMDIChild::SetupWindow()
{
  TMDIChild::SetupWindow();

  // HMENU hMenu = GetSystemMenu(false);
  // if (GetBmpMenu() && hMenu)
  //   GetBmpMenu()->RemapMenu(hMenu, true);
}


void TBmpMenuMDIChild::EvInitMenuPopup(HMENU hPopupMenu, uint index, bool sysMenu)
{
  // Remap the copy of the MDI child window system menu to a bitmap menu
  //
  // NOTE: If you remap the system menu in SetupWindow()
  //       you get a application system menu for the child window.
  //       But a application system menu has not the item "&Next\tStrg+F6"
  //       and a different keycode for the close item "Alt+F4"
  //
  if (GetBmpMenu())
    GetBmpMenu()->RemapMenu(hPopupMenu);
  TMDIChild::EvInitMenuPopup(hPopupMenu, index, sysMenu);
}

void TBmpMenuMDIChild::EvDrawItem(uint ctrlId, DRAWITEMSTRUCT far& drawInfo)
{
  if (GetBmpMenu() && GetBmpMenu()->DrawItem(drawInfo))
    return;
  TMDIChild::EvDrawItem(ctrlId, drawInfo);
}

void TBmpMenuMDIChild::EvMeasureItem(uint ctrlId, MEASUREITEMSTRUCT far& measureInfo)
{
  if (GetBmpMenu() && GetBmpMenu()->MeasureItem(measureInfo))
    return;
  TMDIChild::EvMeasureItem(ctrlId, measureInfo);
}



int32 TBmpMenuMDIChild::EvMenuChar(uint nChar, uint menuType, HMENU hMenu)
{
  LRESULT lRes;
  if (GetBmpMenu() && GetBmpMenu()->FindKeyboardShortcut(nChar, menuType, hMenu, lRes))
    return lRes;
  return TMDIChild::EvMenuChar(nChar, menuType, hMenu);
}


