//----------------------------------------------------------------------------
//  Project BmpMenuApp
//  
//  Copyright  1998. All Rights Reserved.
//
//  SUBSYSTEM:    BmpMenuApp Application
//  FILE:         bmpmenumdichild.h
//  AUTHOR:       Dieter Windau
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TBmpMenuMDIChild (TMDIChild).
//
//----------------------------------------------------------------------------
#if !defined(bmpmenumdichild_h)
#define bmpmenumdichild_h

#include "BmpMenuMDIClient.h"

__OWLEXT_DECLCLASS(TBmpMenu);

//{{TMDIChild = TBmpMenuMDIChild}}
class TBmpMenuMDIChild : public TMDIChild
{
  public:
    TBmpMenuMDIChild(TBmpMenuMDIClient& parent, LPCTSTR title, 
      TWindow* clientWnd, bool shrinkToClient = false, TModule* module = 0);
    virtual ~TBmpMenuMDIChild();

    __OWLEXT TBmpMenu* GetBmpMenu();
    
  protected:
    virtual void SetupWindow();

    void  EvInitMenuPopup(HMENU hPopupMenu, uint index, bool sysMenu);
    void  EvDrawItem(uint ctrlId, DRAWITEMSTRUCT far& drawInfo);
    void  EvMeasureItem(uint ctrlId, MEASUREITEMSTRUCT far& measureInfo);


    int32 EvMenuChar(uint nChar, uint menuType, HMENU hMenu);

  DECLARE_RESPONSE_TABLE(TBmpMenuMDIChild);
};    //{{TBmpMenuMDIChild}}

#endif  // bmpmenumdichild_h sentry.