//----------------------------------------------------------------------------
//  Project BmpMenuApp
//
//  Copyright  1998. All Rights Reserved.
//
//  SUBSYSTEM:    BmpMenuApp Application
//  FILE:         bmpmenumdiclient.cpp
//  AUTHOR:       Dieter Windau
//
//  OVERVIEW
//  ~~~~~~~~
//  Source file for implementation of TBmpMenuMDIClient (TMDIClient).
//
//----------------------------------------------------------------------------

#include <owlext\pch.h>
#pragma hdrstop
#include <owlext\bmpmenu.h>


#include <stdio.h>

#include "bmpmenumdichild.h"
#include "bmpmenumdiclient.h"
#include "bmpmenudecoratedmdiframe.h"

//{{TBmpMenuMDIClient Implementation}}

//
// Build a response table for all messages/commands handled
// by TBmpMenuMDIClient derived from TMDIClient.
//
DEFINE_RESPONSE_TABLE1(TBmpMenuMDIClient, TMDIClient)
//{{TBmpMenuMDIClientRSP_TBL_BEGIN}}
//{{TBmpMenuMDIClientRSP_TBL_END}}
END_RESPONSE_TABLE;


//--------------------------------------------------------
// TBmpMenuMDIClient
// ~~~~~~~~~~~
// Construction/Destruction handling.
//
TBmpMenuMDIClient::TBmpMenuMDIClient(TModule* module)
:
  TMDIClient(module)
{
  ChildCount = 0;

  // INSERT>> Your constructor code here.

}


TBmpMenuMDIClient::~TBmpMenuMDIClient()
{
  Destroy();

  // INSERT>> Your destructor code here.

}

TBmpMenu* TBmpMenuMDIClient::GetBmpMenu()
{
  TBmpMenuDecoratedMDIFrame* frame = TYPESAFE_DOWNCAST(Parent,
    TBmpMenuDecoratedMDIFrame);
  CHECK(frame);
  return frame->GetBmpMenu();
}

//--------------------------------------------------------
// TBmpMenuMDIClient
// ~~~~~~~~~~~
// MDIClient site initialization.
//
void TBmpMenuMDIClient::SetupWindow()
{
  // Default SetUpWindow processing.
  //
  TMDIClient::SetupWindow();
}


